#include "defs.h"

#define MAX_CMAP_LEN	256
#define FGCOLOR		MAX_CMAP_LEN-1
#define BGCOLOR		0
#define CMAP_NAME	"palette"

#define set_color(q,i,j,k)  r[q]=i; g[q]=j; b[q]=k
#define ijton(i,j)	24*j+i

nsigned char r[MAX_CMAP_LEN],
	      g[MAX_CMAP_LEN],
	      b[MAX_CMAP_LEN];	/* current copy of the colormap */

nsigned char old_r, old_g, old_b;
/* right-mouse-paint saved copy, length */
nsigned char undo_r[MAX_CMAP_LEN],
	      undo_g[MAX_CMAP_LEN],
	      undo_b[MAX_CMAP_LEN];
nt	      undo_start, undo_len;

har *progname;
nt	selected_i;
nt	selected_j;
nt	selected_n;
nt	hi, hj;
nt	highlighted;
nt	selected;
har	s[256];

nt	xoff;
nt	yoff;
nt	xspace;
nt	yspace;
nt	cwidth;
nt	cheight;
nt bar_offset;


Frame		base_frame;
anvas		single_canvas,
		display_canvas,
		multiple_canvas;
anel		control_panel;
anel_item	file_name_item,
		red_slider,
		green_slider,
		blue_slider,
		msg_item;
ixrect *pr;
olormap_t colormap;
ursor		brush_cursor;

xtern void 	draw_a_box(),
		fill_a_box(),
		reset_proc(),
		save_proc(),
		load_proc(),
		done_proc(),
		quit_proc(),
		red_proc(),
		green_proc(),
		blue_proc(),
		paint_multiple_canvas(),
		paint_single_canvas(),
		multiple_canvas_event_proc(),
		display_event_proc(),
		single_canvas_event_proc(),
		put_colors(),
		update_colors();
