/*************************************************** palette_panel.c
 **********/

#include "p_include.h"

anel_creation()
{
	file_name_item = panel_create_item(control_panel, PANEL_TEXT,
	    	PANEL_LABEL_STRING, "File: ",
		PANEL_VALUE_DISPLAY_LENGTH, 40,
	    	PANEL_ITEM_X, ATTR_COL(1),
	    	PANEL_ITEM_Y, ATTR_ROW(1),
	    	0);

	panel_create_item(control_panel, PANEL_BUTTON,
	    	PANEL_LABEL_IMAGE,
		panel_button_image(control_panel, "Load", 7, 0),
	   	PANEL_NOTIFY_PROC, load_proc,
	    	PANEL_ITEM_X, ATTR_COL(60),
	    	PANEL_ITEM_Y, ATTR_ROW(1),
	    	0);

	panel_create_item(control_panel, PANEL_BUTTON,
	    	PANEL_LABEL_IMAGE,
		panel_button_image(control_panel, "Save", 7, 0),
	    	PANEL_NOTIFY_PROC, save_proc,
	    	PANEL_ITEM_X, ATTR_COL(60),
	    	PANEL_ITEM_Y, ATTR_ROW(2),
	   	0);

	panel_create_item(control_panel, PANEL_BUTTON,
	    	PANEL_LABEL_IMAGE,
		panel_button_image(control_panel, "Reset", 7, 0),
	    	PANEL_NOTIFY_PROC, reset_proc,
	    	PANEL_ITEM_X, ATTR_COL(60),
	    	PANEL_ITEM_Y, ATTR_ROW(3),
	    	0);

      	panel_create_item(control_panel, PANEL_BUTTON,
       	 	PANEL_LABEL_IMAGE,
              	panel_button_image(control_panel, "Quit", 7, 0),
          	PANEL_NOTIFY_PROC, quit_proc,
	    	PANEL_ITEM_X, ATTR_COL(60),
	    	PANEL_ITEM_Y, ATTR_ROW(4),
          	0);

	red_slider = panel_create_item(control_panel, PANEL_SLIDER,
	    	PANEL_LABEL_STRING, "Red:  ",
	    	PANEL_VALUE, 0,
	    	PANEL_MIN_VALUE, 0,
	    	PANEL_MAX_VALUE, 255,
	    	PANEL_SLIDER_WIDTH, 256,
	    	PANEL_NOTIFY_LEVEL, PANEL_ALL,
	    	PANEL_NOTIFY_PROC, red_proc,
	    	PANEL_ITEM_X, ATTR_COL(1),
	    	PANEL_ITEM_Y, ATTR_ROW(2),
	    	0);

	green_slider = panel_create_item(control_panel, PANEL_SLIDER,
	    	PANEL_LABEL_STRING, "Green:",
	    	PANEL_VALUE, 0,
	    	PANEL_MIN_VALUE, 0,
	    	PANEL_MAX_VALUE, 255,
	    	PANEL_SLIDER_WIDTH, 256,
	    	PANEL_NOTIFY_LEVEL, PANEL_ALL,
	    	PANEL_NOTIFY_PROC, green_proc,
	    	PANEL_ITEM_X, ATTR_COL(1),
	    	PANEL_ITEM_Y, ATTR_ROW(3),
	    	0);

	blue_slider = panel_create_item(control_panel, PANEL_SLIDER,
	    	PANEL_LABEL_STRING, "Blue: ",
	    	PANEL_VALUE, 0,
	    	PANEL_MIN_VALUE, 0,
	    	PANEL_MAX_VALUE, 255,
	    	PANEL_SLIDER_WIDTH, 256,
	    	PANEL_NOTIFY_LEVEL, PANEL_ALL,
	    	PANEL_NOTIFY_PROC, blue_proc,
	    	PANEL_ITEM_X, ATTR_COL(1),
	    	PANEL_ITEM_Y, ATTR_ROW(4),
	    	0);

	msg_item = panel_create_item(control_panel, PANEL_TEXT,
		PANEL_LABEL_STRING, "",
		PANEL_VALUE_STORED_LENGTH, 120,
                PANEL_VALUE_DISPLAY_LENGTH, 80,
	    	PANEL_ITEM_X, ATTR_COL(1),
	    	PANEL_ITEM_Y, ATTR_ROW(5),
		0);

	window_fit_height(control_panel);
}

