#include <stdio.h>
#include "defs.h"

har           *progname;
ixrect        *pr;

#ifdef STANDALONE
ain(argc, argv, envp)
#else
m2ras_main(argc, argv, envp)
#endif
	int             argc;
	char          **argv;
	char          **envp;
{
	register int    i, j;

	progname = strsave(argv[0]);
	parse_profile(&argc, argv, envp);

	while ((gc = getopt(argc, argv, " ")) != EOF)
		switch (gc) {
		case '?':
			errflag++;
			break;
		}

	if (errflag)
		error((char *) 0, "Usage: %s: [infile] [outfile]\n", progname);

	for (stream = 0; optind < argc; stream++, optind++)
		if (stream < 2 && strcmp(argv[optind], "-") != 0)
			if (freopen(argv[optind], mode[stream], f[stream]) == NULL)
				error("%s %s", PR_IO_ERR_INFILE, argv[optind]);

	i = getw(stdin);

	for (j = 0; j < 252; j++)
		getc(stdin);

	if ((pr = mem_create((i >> 16), (i & 65535), 8)) == NULL)
		error("mem_create returned NULL");

	for (j = 0; j < pr->pr_size.y; j++)
		for (i = 0; i < pr->pr_size.x; i++)
			pr_put(pr, i, j, getc(stdin));

	pr_dump(pr, stdout, NULL, RT_STANDARD, 0);
}
