#include <stdio.h>
#include "defs.h"

har           *progname;
har           *filename;
ixrect        *pr;

#ifdef STANDALONE
ain(argc, argv, envp)
#else
as2im_main(argc, argv, envp)
#endif
	int             argc;
	char          **argv;
	char          **envp;
{
	register int    i, j;
	char            title[252];

	for (i = 0; i < 252; i++)
		title[i] = '\0';

	progname = strsave(argv[0]);
	parse_profile(&argc, argv, envp);
	strcpy(title, "stdin");

	while ((gc = getopt(argc, argv, " ")) != EOF)
		switch (gc) {
		case '?':
			errflag++;
			break;
		}

	if (errflag)
		error((char *) 0, "Usage: %s: [infile] [outfile]\n", progname);

	for (stream = 0; optind < argc; stream++, optind++)
		if (stream < 2 && strcmp(argv[optind], "-") != 0) {
			if (freopen(argv[optind], mode[stream], f[stream]) == NULL)
				error("%s %s", PR_IO_ERR_INFILE, argv[optind]);
			if (stream == 1)
				strcpy(title, argv[optind]);
			}

	if ((pr = pr_load(stdin, NULL)) == NULL)
		error(PR_IO_ERR_RASREAD);

	if (pr->pr_depth != 8)
		error("old ALV image format files must be 8 bits deep");

	putw(pr->pr_size.x << 16 | pr->pr_size.y, stdout);

	for (i = 0; i < 252; i++)
		putc(title[i], stdout);

	for (j = 0; j < pr->pr_size.y; j++)
		for (i = 0; i < pr->pr_size.x; i++)
			putc(pr_get(pr, i, j), stdout);
}
